"""
Percent of Capitalization Object

Sets forth inputs and conversion mechanism of percent of capitalization
conversion (where an instrument purports to grant a percent of company
capitalization at some point in time)

Copyright © Shoobx, 2023
Schema is Copyright © 2022 Open Cap Table Coalition (https://opencaptablecoalition.com) /
Original File: https://github.com/Open-Cap-Table-Coalition/Open-Cap-Format-OCF/t
ree/main/schema/types/conversion_mechanisms/PercentCapitalizationConversionMecha
nism.schema.json

Autogenerated, do not edit.
"""

from pyocf.primitives.types.conversion_mechanisms.conversionmechanism import (
    ConversionMechanism,
)
from pyocf.types.percentage import Percentage
from typing import Literal


class PercentCapitalizationConversionMechanism(ConversionMechanism):
    """Percent of Capitalization"""

    type: Literal[
        "FIXED_PERCENT_OF_CAPITALIZATION_CONVERSION"
    ] = "FIXED_PERCENT_OF_CAPITALIZATION_CONVERSION"
    # What percentage of the company capitalization does this convert to
    converts_to_percent: Percentage
    # How is company capitalization defined for purposes of conversion? If possible,
    # include the legal language from the instrument.
    capitalization_definition: str | None
