"""
Pre-Release Omission Object

Transitional type; allows an otherwise "required" field to support omission by
an implementation that can not yet support all fields. This is not intended to
be permanent; rather it is a communication mechanism indicating that a field
added in a pre-release version of the spec will need to be implemented to
support the next release.

Copyright © Shoobx, 2023
Schema is Copyright © 2022 Open Cap Table Coalition (https://opencaptablecoalition.com) /
Original File: https://github.com/Open-Cap-Table-Coalition/Open-Cap-Format-
OCF/tree/main/schema/types/PreReleaseOmission.schema.json

Autogenerated, do not edit.
"""

from pydantic import BaseModel


class PreReleaseOmission(BaseModel):
    """Pre-Release Omission"""

    # Implementation-specific, optional message about missing data
    comment: str | None
    # Positive indication of intentional omission
    omitted: bool
