"""
Security Exemption Object

Type representation of a securities issuance exemption that includes an
unstructured description and a country code for ease of processing and analysis

Copyright © Shoobx, 2023
Schema is Copyright © 2022 Open Cap Table Coalition (https://opencaptablecoalition.com) /
Original File: https://github.com/Open-Cap-Table-Coalition/Open-Cap-Format-
OCF/tree/main/schema/types/SecurityExemption.schema.json

Autogenerated, do not edit.
"""

from pydantic import BaseModel
from pyocf.types.countrycode import CountryCode


class SecurityExemption(BaseModel):
    """Security Exemption"""

    # Description of an applicable security law exemption governing the issuance
    description: str
    # Country code of the jurisdiction of the applicable law (ISO 3166-1 alpha-2)
    jurisdiction: CountryCode
