"""
Termination Window Object

Type representation of a termination window

Copyright © Shoobx, 2023
Schema is Copyright © 2022 Open Cap Table Coalition (https://opencaptablecoalition.com) /
Original File: https://github.com/Open-Cap-Table-Coalition/Open-Cap-Format-
OCF/tree/main/schema/types/TerminationWindow.schema.json

Autogenerated, do not edit.
"""

from pydantic import BaseModel
from pyocf.enums.periodtype import PeriodType
from pyocf.enums.terminationwindowtype import TerminationWindowType


class TerminationWindow(BaseModel):
    """Termination Window"""

    # What cause of termination is this window for?
    reason: TerminationWindowType
    # The length of the period in this termination window (in number of periods of
    # type period_type)
    period: int
    # The type of period being measured (e.g. days or month)
    period_type: PeriodType
